Index: plugins/blowupConfig/lib/class.blowup.config.php
===================================================================
--- plugins/blowupConfig/lib/class.blowup.config.php	(revision 2659)
+++ plugins/blowupConfig/lib/class.blowup.config.php	(revision 2566)
@@ -14,7 +14,4 @@
 class blowupConfig
 {
-	protected static $css_folder = 'blowup-css';
-	protected static $img_folder = 'blowup-images';
-
 	protected static $fonts = array(
 		'sans-serif' => array(
@@ -93,62 +90,97 @@
 	}
 
+	public static function adjustFontSize($s)
+	{
+		if (preg_match('/^([0-9.]+)\s*(%|pt|px|em|ex)?$/',$s,$m)) {
+			if (empty($m[2])) {
+				$m[2] = 'px';
+			}
+			return $m[1].$m[2];
+		}
+
+		return null;
+	}
+
+	public static function adjustPosition($p)
+	{
+		if (!preg_match('/^[0-9]+(:[0-9]+)?$/',$p)) {
+			return null;
+		}
+
+		$p = explode(':',$p);
+
+		return $p[0].(count($p) == 1 ? ':0' : ':'.$p[1]);
+	}
+
+	public static function adjustColor($c)
+	{
+		if ($c === '') {
+			return '';
+		}
+
+		$c = strtoupper($c);
+
+		if (preg_match('/^[A-F0-9]{3,6}$/',$c)) {
+			$c = '#'.$c;
+		}
+
+		if (preg_match('/^#[A-F0-9]{6}$/',$c)) {
+			return $c;
+		}
+
+		if (preg_match('/^#[A-F0-9]{3,}$/',$c)) {
+			return '#'.substr($c,1,1).substr($c,1,1).substr($c,2,1).substr($c,2,1).substr($c,3,1).substr($c,3,1);
+		}
+
+		return '';
+	}
+
+	public static function cleanCSS($css)
+	{
+		// TODO ?
+		return $css;
+	}
+
 	public static function cssPath()
 	{
-		return dcThemeConfig::cssPath(self::$css_folder);
+		global $core;
+		return path::real($core->blog->public_path).'/blowup-css';
 	}
 
 	public static function cssURL()
 	{
-		return dcThemeConfig::cssURL(self::$css_folder);
+		global $core;
+		return $core->blog->settings->system->public_url.'/blowup-css';
 	}
 
 	public static function canWriteCss($create=false)
 	{
-		return dcThemeConfig::canWriteCss(self::$css_folder,$create);
-	}
-
-	protected static function backgroundImg(&$css,$selector,$value,$image)
-	{
-		dcThemeConfig::backgroundImg(self::$img_folder,$css,$selector,$value,$image);
-	}
-
-	private static function writeCss($theme,$css)
-	{
-		dcThemeConfig::writeCSS(self::$css_folder,$theme,$css);
-	}
-
-	public static function dropCss($theme)
-	{
-		dcThemeConfig::dropCss(self::$css_folder,$theme);
-	}
-
-	public static function publicCssUrlHelper()
-	{
-		return dcThemeConfig::publicCssUrlHelper(self::$css_folder);
-	}
-
-	public static function imagesPath()
-	{
-		return dcThemeConfig::imagesPath(self::$img_folder);
-	}
-
-	public static function imagesURL()
-	{
-		return dcThemeConfig::imagesURL(self::$img_folder);
-	}
-
-	public static function canWriteImages($create=false)
-	{
-		return dcThemeConfig::canWriteImages(self::$img_folder,$create);
-	}
-
-	public static function uploadImage($f)
-	{
-		return dcThemeConfig::uploadImage(self::$img_folder,$f,800);
-	}
-
-	public static function dropImage($img)
-	{
-		dcThemeConfig::dropImage(self::$img_folder,$img);
+		global $core;
+
+		$public = path::real($core->blog->public_path);
+		$css = self::cssPath();
+
+		if (!is_dir($public)) {
+			$core->error->add(__('The \'public\' directory does not exist.'));
+			return false;
+		}
+
+		if (!is_dir($css)) {
+			if (!is_writable($public)) {
+				$core->error->add(sprintf(__('The \'%s\' directory cannot be modified.'),'public'));
+				return false;
+			}
+			if ($create) {
+				files::makeDir($css);
+			}
+			return true;
+		}
+
+		if (!is_writable($css)) {
+			$core->error->add(sprintf(__('The \'%s\' directory cannot be modified.'),'public/blowup-css'));
+			return false;
+		}
+
+		return true;
 	}
 
@@ -173,18 +205,18 @@
 		/* Properties
 		---------------------------------------------- */
-		dcThemeConfig::prop($css,'body','background-color',$s['body_bg_c']);
-
-		dcThemeConfig::prop($css,'body','color',$s['body_txt_c']);
-		dcThemeConfig::prop($css,'.post-tags li a:link, .post-tags li a:visited, .post-info-co a:link, .post-info-co a:visited','color',$s['body_txt_c']);
-		dcThemeConfig::prop($css,'#page','font-size',$s['body_txt_s']);
-		dcThemeConfig::prop($css,'body','font-family',self::fontDef($s['body_txt_f']));
-
-		dcThemeConfig::prop($css,'.post-content, .post-excerpt, #comments dd, #pings dd, dd.comment-preview','line-height',$s['body_line_height']);
+		self::prop($css,'body','background-color',$s['body_bg_c']);
+
+		self::prop($css,'body','color',$s['body_txt_c']);
+		self::prop($css,'.post-tags li a:link, .post-tags li a:visited, .post-info-co a:link, .post-info-co a:visited','color',$s['body_txt_c']);
+		self::prop($css,'#page','font-size',$s['body_txt_s']);
+		self::prop($css,'body','font-family',self::fontDef($s['body_txt_f']));
+
+		self::prop($css,'.post-content, .post-excerpt, #comments dd, #pings dd, dd.comment-preview','line-height',$s['body_line_height']);
 
 		if (!$s['blog_title_hide'])
 		{
-			dcThemeConfig::prop($css,'#top h1 a','color',$s['blog_title_c']);
-			dcThemeConfig::prop($css,'#top h1','font-size',$s['blog_title_s']);
-			dcThemeConfig::prop($css,'#top h1','font-family',self::fontDef($s['blog_title_f']));
+			self::prop($css,'#top h1 a','color',$s['blog_title_c']);
+			self::prop($css,'#top h1','font-size',$s['blog_title_s']);
+			self::prop($css,'#top h1','font-family',self::fontDef($s['blog_title_f']));
 
 			if ($s['blog_title_a'] == 'right' || $s['blog_title_a'] == 'left') {
@@ -205,6 +237,6 @@
 		else
 		{
-			dcThemeConfig::prop($css,'#top h1 span','text-indent','-5000px');
-			dcThemeConfig::prop($css,'#top h1','top','0px');
+			self::prop($css,'#top h1 span','text-indent','-5000px');
+			self::prop($css,'#top h1','top','0px');
 			$css['#top h1 a'] = array(
 				'display' => 'block',
@@ -213,63 +245,63 @@
 			);
 		}
-		dcThemeConfig::prop($css,'#top','height',$s['top_height']);
-
-		dcThemeConfig::prop($css,'.day-date','color',$s['date_title_c']);
-		dcThemeConfig::prop($css,'.day-date','font-family',self::fontDef($s['date_title_f']));
-		dcThemeConfig::prop($css,'.day-date','font-size',$s['date_title_s']);
-
-		dcThemeConfig::prop($css,'a','color',$s['body_link_c']);
-		dcThemeConfig::prop($css,'a:visited','color',$s['body_link_v_c']);
-		dcThemeConfig::prop($css,'a:hover, a:focus, a:active','color',$s['body_link_f_c']);
-
-		dcThemeConfig::prop($css,'#comment-form input, #comment-form textarea','color',$s['body_link_c']);
-		dcThemeConfig::prop($css,'#comment-form input.preview','color',$s['body_link_c']);
-		dcThemeConfig::prop($css,'#comment-form input.preview:hover','background',$s['body_link_f_c']);
-		dcThemeConfig::prop($css,'#comment-form input.preview:hover','border-color',$s['body_link_f_c']);
-		dcThemeConfig::prop($css,'#comment-form input.submit','color',$s['body_link_c']);
-		dcThemeConfig::prop($css,'#comment-form input.submit:hover','background',$s['body_link_f_c']);
-		dcThemeConfig::prop($css,'#comment-form input.submit:hover','border-color',$s['body_link_f_c']);
-
-		dcThemeConfig::prop($css,'#sidebar','font-family',self::fontDef($s['sidebar_text_f']));
-		dcThemeConfig::prop($css,'#sidebar','font-size',$s['sidebar_text_s']);
-		dcThemeConfig::prop($css,'#sidebar','color',$s['sidebar_text_c']);
-
-		dcThemeConfig::prop($css,'#sidebar h2','font-family',self::fontDef($s['sidebar_title_f']));
-		dcThemeConfig::prop($css,'#sidebar h2','font-size',$s['sidebar_title_s']);
-		dcThemeConfig::prop($css,'#sidebar h2','color',$s['sidebar_title_c']);
-
-		dcThemeConfig::prop($css,'#sidebar h3','font-family',self::fontDef($s['sidebar_title2_f']));
-		dcThemeConfig::prop($css,'#sidebar h3','font-size',$s['sidebar_title2_s']);
-		dcThemeConfig::prop($css,'#sidebar h3','color',$s['sidebar_title2_c']);
-
-		dcThemeConfig::prop($css,'#sidebar ul','border-top-color',$s['sidebar_line_c']);
-		dcThemeConfig::prop($css,'#sidebar li','border-bottom-color',$s['sidebar_line_c']);
-		dcThemeConfig::prop($css,'#topnav ul','border-bottom-color',$s['sidebar_line_c']);
-
-		dcThemeConfig::prop($css,'#sidebar li a','color',$s['sidebar_link_c']);
-		dcThemeConfig::prop($css,'#sidebar li a:visited','color',$s['sidebar_link_v_c']);
-		dcThemeConfig::prop($css,'#sidebar li a:hover, #sidebar li a:focus, #sidebar li a:active','color',$s['sidebar_link_f_c']);
-		dcThemeConfig::prop($css,'#search input','color',$s['sidebar_link_c']);
-		dcThemeConfig::prop($css,'#search .submit','color',$s['sidebar_link_c']);
-		dcThemeConfig::prop($css,'#search .submit:hover','background',$s['sidebar_link_f_c']);
-		dcThemeConfig::prop($css,'#search .submit:hover','border-color',$s['sidebar_link_f_c']);
-
-		dcThemeConfig::prop($css,'.post-title','color',$s['post_title_c']);
-		dcThemeConfig::prop($css,'.post-title a, .post-title a:visited','color',$s['post_title_c']);
-		dcThemeConfig::prop($css,'.post-title','font-family',self::fontDef($s['post_title_f']));
-		dcThemeConfig::prop($css,'.post-title','font-size',$s['post_title_s']);
-
-		dcThemeConfig::prop($css,'#comments dd','background-color',$s['post_comment_bg_c']);
-		dcThemeConfig::prop($css,'#comments dd','color',$s['post_comment_c']);
-		dcThemeConfig::prop($css,'#comments dd.me','background-color',$s['post_commentmy_bg_c']);
-		dcThemeConfig::prop($css,'#comments dd.me','color',$s['post_commentmy_c']);
-
-		dcThemeConfig::prop($css,'#prelude, #prelude a','color',$s['prelude_c']);
-
-		dcThemeConfig::prop($css,'#footer p','background-color',$s['footer_bg_c']);
-		dcThemeConfig::prop($css,'#footer p','color',$s['footer_c']);
-		dcThemeConfig::prop($css,'#footer p','font-size',$s['footer_s']);
-		dcThemeConfig::prop($css,'#footer p','font-family',self::fontDef($s['footer_f']));
-		dcThemeConfig::prop($css,'#footer p a','color',$s['footer_l_c']);
+		self::prop($css,'#top','height',$s['top_height']);
+
+		self::prop($css,'.day-date','color',$s['date_title_c']);
+		self::prop($css,'.day-date','font-family',self::fontDef($s['date_title_f']));
+		self::prop($css,'.day-date','font-size',$s['date_title_s']);
+
+		self::prop($css,'a','color',$s['body_link_c']);
+		self::prop($css,'a:visited','color',$s['body_link_v_c']);
+		self::prop($css,'a:hover, a:focus, a:active','color',$s['body_link_f_c']);
+
+		self::prop($css,'#comment-form input, #comment-form textarea','color',$s['body_link_c']);
+		self::prop($css,'#comment-form input.preview','color',$s['body_link_c']);
+		self::prop($css,'#comment-form input.preview:hover','background',$s['body_link_f_c']);
+		self::prop($css,'#comment-form input.preview:hover','border-color',$s['body_link_f_c']);
+		self::prop($css,'#comment-form input.submit','color',$s['body_link_c']);
+		self::prop($css,'#comment-form input.submit:hover','background',$s['body_link_f_c']);
+		self::prop($css,'#comment-form input.submit:hover','border-color',$s['body_link_f_c']);
+
+		self::prop($css,'#sidebar','font-family',self::fontDef($s['sidebar_text_f']));
+		self::prop($css,'#sidebar','font-size',$s['sidebar_text_s']);
+		self::prop($css,'#sidebar','color',$s['sidebar_text_c']);
+
+		self::prop($css,'#sidebar h2','font-family',self::fontDef($s['sidebar_title_f']));
+		self::prop($css,'#sidebar h2','font-size',$s['sidebar_title_s']);
+		self::prop($css,'#sidebar h2','color',$s['sidebar_title_c']);
+
+		self::prop($css,'#sidebar h3','font-family',self::fontDef($s['sidebar_title2_f']));
+		self::prop($css,'#sidebar h3','font-size',$s['sidebar_title2_s']);
+		self::prop($css,'#sidebar h3','color',$s['sidebar_title2_c']);
+
+		self::prop($css,'#sidebar ul','border-top-color',$s['sidebar_line_c']);
+		self::prop($css,'#sidebar li','border-bottom-color',$s['sidebar_line_c']);
+		self::prop($css,'#topnav ul','border-bottom-color',$s['sidebar_line_c']);
+
+		self::prop($css,'#sidebar li a','color',$s['sidebar_link_c']);
+		self::prop($css,'#sidebar li a:visited','color',$s['sidebar_link_v_c']);
+		self::prop($css,'#sidebar li a:hover, #sidebar li a:focus, #sidebar li a:active','color',$s['sidebar_link_f_c']);
+		self::prop($css,'#search input','color',$s['sidebar_link_c']);
+		self::prop($css,'#search .submit','color',$s['sidebar_link_c']);
+		self::prop($css,'#search .submit:hover','background',$s['sidebar_link_f_c']);
+		self::prop($css,'#search .submit:hover','border-color',$s['sidebar_link_f_c']);
+
+		self::prop($css,'.post-title','color',$s['post_title_c']);
+		self::prop($css,'.post-title a, .post-title a:visited','color',$s['post_title_c']);
+		self::prop($css,'.post-title','font-family',self::fontDef($s['post_title_f']));
+		self::prop($css,'.post-title','font-size',$s['post_title_s']);
+
+		self::prop($css,'#comments dd','background-color',$s['post_comment_bg_c']);
+		self::prop($css,'#comments dd','color',$s['post_comment_c']);
+		self::prop($css,'#comments dd.me','background-color',$s['post_commentmy_bg_c']);
+		self::prop($css,'#comments dd.me','color',$s['post_commentmy_c']);
+
+		self::prop($css,'#prelude, #prelude a','color',$s['prelude_c']);
+
+		self::prop($css,'#footer p','background-color',$s['footer_bg_c']);
+		self::prop($css,'#footer p','color',$s['footer_c']);
+		self::prop($css,'#footer p','font-size',$s['footer_s']);
+		self::prop($css,'#footer p','font-family',self::fontDef($s['footer_f']));
+		self::prop($css,'#footer p a','color',$s['footer_l_c']);
 
 		/* Images
@@ -311,4 +343,121 @@
 	}
 
+	protected static function prop(&$css,$selector,$prop,$value)
+	{
+		if ($value) {
+			$css[$selector][$prop] = $value;
+		}
+	}
+
+	protected static function backgroundImg(&$css,$selector,$value,$image)
+	{
+		$file = self::imagesPath().'/'.$image;
+		if ($value && file_exists($file)){
+			$css[$selector]['background-image'] = 'url('.self::imagesURL().'/'.$image.')';
+		}
+	}
+
+	private static function writeCss($theme,$css)
+	{
+		file_put_contents(self::cssPath().'/'.$theme.'.css', $css);
+	}
+
+	public static function dropCss($theme)
+	{
+		$file = path::real(self::cssPath().'/'.$theme.'.css');
+		if (is_writable(dirname($file))) {
+			@unlink($file);
+		}
+	}
+
+	public static function publicCssUrlHelper()
+	{
+		$theme = $GLOBALS['core']->blog->settings->system->theme;
+		$url = blowupConfig::cssURL();
+		$path = blowupConfig::cssPath();
+
+		if (file_exists($path.'/'.$theme.'.css')) {
+			return $url.'/'.$theme.'.css';
+		}
+
+		return null;
+	}
+
+	public static function imagesPath()
+	{
+		global $core;
+		return path::real($core->blog->public_path).'/blowup-images';
+	}
+
+	public static function imagesURL()
+	{
+		global $core;
+		return $core->blog->settings->system->public_url.'/blowup-images';
+	}
+
+	public static function canWriteImages($create=false)
+	{
+		global $core;
+
+		$public = path::real($core->blog->public_path);
+		$imgs = self::imagesPath();
+
+		if (!function_exists('imagecreatetruecolor') || !function_exists('imagepng') || !function_exists('imagecreatefrompng')) {
+			$core->error->add(__('At least one of the following functions is not available: '.
+				'imagecreatetruecolor, imagepng & imagecreatefrompng.'));
+			return false;
+		}
+
+		if (!is_dir($public)) {
+			$core->error->add(__('The \'public\' directory does not exist.'));
+			return false;
+		}
+
+		if (!is_dir($imgs)) {
+			if (!is_writable($public)) {
+				$core->error->add(sprintf(__('The \'%s\' directory cannot be modified.'),'public'));
+				return false;
+			}
+			if ($create) {
+				files::makeDir($imgs);
+			}
+			return true;
+		}
+
+		if (!is_writable($imgs)) {
+			$core->error->add(sprintf(__('The \'%s\' directory cannot be modified.'),'public/blowup-images'));
+			return false;
+		}
+
+		return true;
+	}
+
+	public static function uploadImage($f)
+	{
+		if (!self::canWriteImages(true)) {
+			throw new Exception(__('Unable to create images.'));
+		}
+
+		$name = $f['name'];
+		$type = files::getMimeType($name);
+
+		if ($type != 'image/jpeg' && $type != 'image/png') {
+			throw new Exception(__('Invalid file type.'));
+		}
+
+		$dest = self::imagesPath().'/uploaded'.($type == 'image/png' ? '.png' : '.jpg');
+
+		if (@move_uploaded_file($f['tmp_name'],$dest) === false) {
+			throw new Exception(__('An error occurred while writing the file.'));
+		}
+
+		$s = getimagesize($dest);
+		if ($s[0] != 800) {
+			throw new Exception(__('Uploaded image is not 800 pixels wide.'));
+		}
+
+		return $dest;
+	}
+
 	public static function createImages(&$config,$uploaded)
 	{
@@ -361,7 +510,7 @@
 		self::dropImage(basename($comment_b));
 
-		$body_color = dcThemeConfig::adjustColor($body_color);
-		$prelude_color = dcThemeConfig::adjustColor($prelude_color);
-		$comment_color = dcThemeConfig::adjustColor($comment_color);
+		$body_color = self::adjustColor($body_color);
+		$prelude_color = self::adjustColor($prelude_color);
+		$comment_color = self::adjustColor($comment_color);
 
 		if ($top_image || $body_color || $gradient != 'light' || $prelude_color || $uploaded)
@@ -508,3 +657,15 @@
 	}
 
+	public static function dropImage($img)
+	{
+		$img = path::real(self::imagesPath().'/'.$img);
+		if (is_writable(dirname($img))) {
+			@unlink($img);
+			@unlink(dirname($img).'/.'.basename($img,'.png').'_sq.jpg');
+			@unlink(dirname($img).'/.'.basename($img,'.png').'_m.jpg');
+			@unlink(dirname($img).'/.'.basename($img,'.png').'_s.jpg');
+			@unlink(dirname($img).'/.'.basename($img,'.png').'_sq.jpg');
+			@unlink(dirname($img).'/.'.basename($img,'.png').'_t.jpg');
+		}
+	}
 }
Index: plugins/pages/_define.php
===================================================================
--- plugins/pages/_define.php	(revision 2662)
+++ plugins/pages/_define.php	(revision 2566)
@@ -16,5 +16,5 @@
 	/* Description*/	"Serve entries as simple web pages",
 	/* Author */		"Olivier Meunier",
-	/* Version */		'1.4',
+	/* Version */		'1.3',
 	array(
 		'permissions' =>	'contentadmin,pages',
Index: plugins/pages/_public.php
===================================================================
--- plugins/pages/_public.php	(revision 2667)
+++ plugins/pages/_public.php	(revision 2634)
@@ -117,16 +117,10 @@
 					if ($content != '')
 					{
-						# --BEHAVIOR-- publicBeforeCommentTransform
-						$buffer = $core->callBehavior('publicBeforeCommentTransform',$content);
-						if ($buffer != '') {
-							$content = $buffer;
+						if ($core->blog->settings->system->wiki_comments) {
+							$core->initWikiComment();
 						} else {
-							if ($core->blog->settings->system->wiki_comments) {
-								$core->initWikiComment();
-							} else {
-								$core->initWikiSimpleComment();
-							}
-							$content = $core->wikiTransform($content);
-						}
+							$core->initWikiSimpleComment();
+						}
+						$content = $core->wikiTransform($content);
 						$content = $core->HTMLfilter($content);
 					}
@@ -195,11 +189,5 @@
 					header('X-Pingback: '.$core->blog->url.$core->url->getURLFor("xmlrpc",$core->blog->id));
 				}
-
-				$tplset = $core->themes->moduleInfo($core->blog->settings->system->theme,'tplset');
-				if (!empty($tplset) && is_dir(dirname(__FILE__).'/default-templates/'.$tplset)) {
-					$core->tpl->setPath($core->tpl->getPath(), dirname(__FILE__).'/default-templates/'.$tplset);
-				} else {
-					$core->tpl->setPath($core->tpl->getPath(), dirname(__FILE__).'/default-templates/'.DC_DEFAULT_TPLSET);
-				}
+				$core->tpl->setPath($core->tpl->getPath(), dirname(__FILE__).'/default-templates');
 				self::serveDocument('page.html');
 			}
@@ -268,5 +256,8 @@
 		}
 
-		$res = ($w->title ? $w->renderTitle(html::escapeHTML($w->title)) : '').'<ul>';
+		$res =
+		($w->content_only ? '' : '<div class="pages'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">').
+		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
+		'<ul>';
 
 		while ($rs->fetch()) {
@@ -279,7 +270,7 @@
 		}
 
-		$res .= '</ul>';
-
-		return $w->renderDiv($w->content_only,'pages '.$w->class,'',$res);
+		$res .= '</ul>'.($w->content_only ? '' : '</div>');
+
+		return $res;
 	}
 }
Index: plugins/pages/_widgets.php
===================================================================
--- plugins/pages/_widgets.php	(revision 2671)
+++ plugins/pages/_widgets.php	(revision 2566)
@@ -44,5 +44,5 @@
 	public static function initDefaultWidgets($w,$d)
 	{
-		$d['nav']->append($w->pages);
+		$d['extra']->append($w->pages);
 	}
 }
Index: plugins/pages/list.php
===================================================================
--- plugins/pages/list.php	(revision 2567)
+++ plugins/pages/list.php	(revision 2566)
@@ -55,7 +55,5 @@
   <title><?php echo __('Pages'); ?></title>
   <?php
-  	echo
-  		dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
-		dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
+  	echo dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
 		dcPage::jsLoad('index.php?pf=pages/list.js').
 		'<script type="text/javascript">'.
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 2694)
+++ plugins/pages/page.php	(revision 2511)
@@ -18,5 +18,4 @@
 $post_dt = '';
 $post_format = $core->auth->getOption('post_format');
-$editor = $core->auth->getOption('editor');
 $post_password = '';
 $post_url = '';
@@ -59,5 +58,5 @@
 
 # Formaters combo
-$formaters_combo = dcAdminCombos::getFormatersCombo($editor);
+$formaters_combo = dcAdminCombos::getFormatersCombo();
 
 # Languages combo
@@ -65,15 +64,7 @@
 $lang_combo = dcAdminCombos::getLangsCombo($rs,true);
 
+
 # Validation flag
 $bad_dt = false;
-
-if (count($formaters_combo)==0 || !$core->auth->getOption('editor') || $core->auth->getOption('editor')=='') {
-	dcPage::addNotice("message", 
-					  sprintf(__('Choose an active editor in %s.'), 
-								  '<a href="preferences.php#user-options">'.__('your preferences').'</a>'
-								  )
-					  );
-
-}
 
 # Get page informations
@@ -298,7 +289,7 @@
   <?php echo
   dcPage::jsDatePicker().
+  dcPage::jsToolBar().
   dcPage::jsModal().
   dcPage::jsLoad('js/_post.js').
-  $core->callBehavior('adminPostEditor').
   dcPage::jsConfirmClose('entry-form','comment-form').
   # --BEHAVIOR-- adminPageHeaders
@@ -619,5 +610,5 @@
 		showComments($comments,$has_action);
 	} else {
-		echo '<p>'.__('No comments').'</p>';
+		echo '<p>'.__('No comment').'</p>';
 	}
 
Index: plugins/simpleMenu/_define.php
===================================================================
--- plugins/simpleMenu/_define.php	(revision 2662)
+++ plugins/simpleMenu/_define.php	(revision 2576)
@@ -16,5 +16,5 @@
 	/* Description*/		"Simple menu for Dotclear",
 	/* Author */			"Franck Paul",
-	/* Version */			'1.2',
+	/* Version */			'1.1.2',
 	array(
 		'permissions' =>	'admin',
Index: plugins/simpleMenu/_public.php
===================================================================
--- plugins/simpleMenu/_public.php	(revision 2667)
+++ plugins/simpleMenu/_public.php	(revision 2576)
@@ -52,6 +52,8 @@
 		}
 
-		return $w->renderDiv($w->content_only,'simple-menu '.$w->class,'',
-			($w->title ? $w->renderTitle(html::escapeHTML($w->title)) : '').$menu);
+		return
+			($w->content_only ? '' : '<div class="simple-menu'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">').
+			($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').$menu.
+			($w->content_only ? '' : '</div>');
 	}
 
@@ -125,5 +127,5 @@
 			// Final rendering
 			if ($ret) {
-				$ret = '<ul '.($id ? 'id="'.$id.'"' : '').' class="simple-menu'.($class ? ' '.$class : '').'" role="navigation">'."\n".$ret."\n".'</ul>';
+				$ret = '<ul '.($id ? 'id="'.$id.'"' : '').' class="simple-menu'.($class ? ' '.$class : '').'">'."\n".$ret."\n".'</ul>';
 			}
 		}
Index: plugins/simpleMenu/index.php
===================================================================
--- plugins/simpleMenu/index.php	(revision 2701)
+++ plugins/simpleMenu/index.php	(revision 2576)
@@ -220,7 +220,5 @@
 					http::redirect($p_url);
 				} else {
-					$step = 3;
-					$item_select_label = $item_label;
-					dcPage::addErrorNotice(__('Label and URL of menu item are mandatory.'));
+					throw new Exception(__('Label and URL of menu item are mandatory.'));
 				}
 			}
@@ -349,5 +347,4 @@
 			echo
 				dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
-				dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
 				dcPage::jsLoad('index.php?pf=simpleMenu/simplemenu.js');
 		}
Index: plugins/tags/_admin.php
===================================================================
--- plugins/tags/_admin.php	(revision 2680)
+++ plugins/tags/_admin.php	(revision 2566)
@@ -40,20 +40,7 @@
 $core->addBehavior('adminPageHelpBlock', array('tagsBehaviors', 'adminPageHelpBlock'));
 
-$core->addBehavior('ckeditorExtraPlugins', array('tagsBehaviors', 'ckeditorExtraPlugins'));
-
 # BEHAVIORS
 class tagsBehaviors
 {
-    public static function ckeditorExtraPlugins(ArrayObject $extraPlugins)
-    {
-        global $core;
-
-        $extraPlugins[] = array(
-            'name' => 'dctags',
-            'button' => 'dcTags',
-            'url' => html::stripHostURL($core->blog->getQmarkURL().'pf=tags/js/ckeditor-tags-plugin.js')
-        );
-    }
-
 	public static function adminPageHelpBlock($blocks)
 	{
Index: plugins/tags/_define.php
===================================================================
--- plugins/tags/_define.php	(revision 2662)
+++ plugins/tags/_define.php	(revision 2566)
@@ -16,5 +16,5 @@
 	/* Description*/		"Tags for posts",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'1.3',
+	/* Version */			'1.2.1',
 	array(
 		'permissions' =>	'usage,contentadmin',
Index: plugins/tags/_public.php
===================================================================
--- plugins/tags/_public.php	(revision 2667)
+++ plugins/tags/_public.php	(revision 2566)
@@ -82,10 +82,5 @@
 	public static function addTplPath($core)
 	{
-		$tplset = $core->themes->moduleInfo($core->blog->settings->system->theme,'tplset');
-		if (!empty($tplset) && is_dir(dirname(__FILE__).'/default-templates/'.$tplset)) {
-			$core->tpl->setPath($core->tpl->getPath(), dirname(__FILE__).'/default-templates/'.$tplset);
-		} else {
-			$core->tpl->setPath($core->tpl->getPath(), dirname(__FILE__).'/default-templates/'.DC_DEFAULT_TPLSET);
-		}
+		$core->tpl->setPath($core->tpl->getPath(), dirname(__FILE__).'/default-templates');
 	}
 
@@ -234,5 +229,5 @@
 	public static function tagsWidget($w)
 	{
-		global $core, $_ctx;
+		global $core;
 
 		if (($w->homeonly == 1 && $core->url->type != 'default') ||
@@ -267,23 +262,12 @@
 
 		$res =
-		($w->title ? $w->renderTitle(html::escapeHTML($w->title)) : '').
+		($w->content_only ? '' : '<div class="tags'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">').
+		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
 		'<ul>';
 
-		if ($core->url->type == 'post' && $_ctx->posts instanceof record) {
-			$_ctx->meta = $core->meta->getMetaRecordset($_ctx->posts->post_meta,'tag');
-		}
 		while ($rs->fetch())
 		{
-			$class = '';
-			if ($core->url->type == 'post' && $_ctx->posts instanceof record) {
-				while ($_ctx->meta->fetch()) {
-					if ($_ctx->meta->meta_id == $rs->meta_id) {
-						$class = ' class="tag-current"';
-						break;
-					}
-				}
-			}
 			$res .=
-			'<li'.$class.'><a href="'.$core->blog->url.$core->url->getURLFor('tag',rawurlencode($rs->meta_id)).'" '.
+			'<li><a href="'.$core->blog->url.$core->url->getURLFor('tag',rawurlencode($rs->meta_id)).'" '.
 			'class="tag'.$rs->roundpercent.'">'.
 			$rs->meta_id.'</a> </li>';
@@ -299,5 +283,7 @@
 		}
 
-		return $w->renderDiv($w->content_only,'tags '.$w->class,'',$res);
+		$res .= ($w->content_only ? '' : '</div>');
+
+		return $res;
 	}
 }
Index: plugins/themeEditor/_define.php
===================================================================
--- plugins/themeEditor/_define.php	(revision 2663)
+++ plugins/themeEditor/_define.php	(revision 2566)
@@ -16,5 +16,5 @@
 	/* Description*/		"Theme Editor",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'1.1',
+	/* Version */			'1.0',
 	array(
 		'type'		=>		'plugin'
